/**
 * @file
 * Connect Drupal.behaviors to htmx inserted content.
 */

// JavaScript should be made compatible with libraries other than jQuery by
// wrapping it in an anonymous closure.
(function (document, Drupal, drupalSettings) {

function htmxDrupalBehaviors(htmxLoadEvent) {
  // The attachBehaviors method searches within the context.
  // We need to go up one level so that the loaded content is processed
  // completely.
  Drupal.attachBehaviors(htmxLoadEvent.detail.elt?.parentElement, drupalSettings);
}

/* Initialize listeners. */

document.addEventListener('htmx:load', htmxDrupalBehaviors);
document.addEventListener('htmx:oobAfterSwap', htmxDrupalBehaviors);

})(document, Drupal, drupalSettings);
